extern crate log;
use log::{info, warn};

use std::fs::File;
use std::io::{Read, Result};
use std::path::PathBuf;

pub fn read_file(path: &PathBuf) -> Result<String> {
    let display = path.display();
    let mut file = match File::open(&path) {
        Err(why) => {
            warn!("Could not read {}: {}", display, why.to_string());
            return Err(why);
        }
        Ok(file) => file,
    };
    let mut content = String::new();
    match file.read_to_string(&mut content) {
        Err(why) => {
            warn!("Could not read {}: {}", display, why.to_string());
            return Err(why);
        }
        Ok(_) => {
            info!("Content of {} read", display);
            Ok(content)
        }
    }
}
